Bug 815150 - [abrt] kernel: WARNING: at net/mac80211/driver-ops.h:10 ieee80211_do_stop+0x5d3/0x5f0 [mac80211]()
[abrt] kernel: WARNING: at net/mac80211/driver-ops.h:10 ieee80211_do_stop+0x5...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:8f760e857e52f3ed0cf77e14850...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 18:58 EDT by Manuel Schneckenreither
Modified: 2012-11-14 10:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:22:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (912.24 KB, application/octet-stream)
2012-05-10 03:21 EDT, Manuel Schneckenreither
no flags Details
dmesg output (120.97 KB, application/octet-stream)
2012-05-10 03:21 EDT, Manuel Schneckenreither
no flags Details

  None (edit)
Description Manuel Schneckenreither 2012-04-22 18:58:51 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.2-1.fc16.x86_64 root=/dev/mapper/vg_laptop-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_laptop/lv_swap quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks.uuid=luks-49a1f25c-d489-4d9a-91a6-591188c95f54 rd.lvm.lv=vg_laptop/lv_root KEYTABLE=de-latin1-nodeadkeys LANG=en_US.UTF-8
comment:        suspended the laptop, nothing else
kernel:         3.3.2-1.fc16.x86_64
reason:         WARNING: at net/mac80211/driver-ops.h:10 ieee80211_do_stop+0x5d3/0x5f0 [mac80211]()
time:           Sun 22 Apr 2012 01:34:12 PM CEST

backtrace:
:WARNING: at net/mac80211/driver-ops.h:10 ieee80211_do_stop+0x5d3/0x5f0 [mac80211]()
:Hardware name: W760SUA                         
:Modules linked in: sha256_generic usb_storage nls_utf8 udf crc_itu_t tcp_lp tun ppdev parport_pc lp parport fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q garp stp llc fcoe ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi libfcoe libfc scsi_transport_fc scsi_tgt ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack arc4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm rtl8187 mac80211 cfg80211 snd_timer snd soundcore rfkill snd_page_alloc sis190 eeprom_93cx6 mii jmb38x_ms memstick serio_raw uinput microcode joydev binfmt_misc xts gf128mul dm_crypt ata_generic pata_acpi sdhci_pci sdhci mmc_core video sata_sis pata_sis wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 940, comm: kworker/u:30 Tainted: G        W    3.3.2-1.fc16.x86_64 #1
:Call Trace:
: [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057b1a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa027b663>] ieee80211_do_stop+0x5d3/0x5f0 [mac80211]
: [<ffffffff81504d59>] ? dev_deactivate_many+0x229/0x260
: [<ffffffffa027b69a>] ieee80211_stop+0x1a/0x20 [mac80211]
: [<ffffffff814e3ca6>] __dev_close_many+0x86/0xe0
: [<ffffffff814e3df0>] dev_close_many+0x90/0x110
: [<ffffffff814e3f28>] rollback_registered_many+0xb8/0x250
: [<ffffffff814e40d9>] unregister_netdevice_many+0x19/0x70
: [<ffffffffa027ad90>] ieee80211_remove_interfaces+0xb0/0xf0 [mac80211]
: [<ffffffffa0265133>] ieee80211_unregister_hw+0x53/0x120 [mac80211]
: [<ffffffffa030850a>] rtl8187_disconnect+0x36/0x73 [rtl8187]
: [<ffffffff8141c5d2>] usb_unbind_interface+0x52/0x180
: [<ffffffff813a179c>] __device_release_driver+0x7c/0xe0
: [<ffffffff813a182c>] device_release_driver+0x2c/0x40
: [<ffffffff8141c790>] usb_driver_release_interface+0x90/0xa0
: [<ffffffff815f32bb>] ? wait_for_common+0x3b/0x170
: [<ffffffff8141c877>] usb_forced_unbind_intf+0x37/0x60
: [<ffffffff8141c945>] do_unbind_rebind+0xa5/0xb0
: [<ffffffff8141ca44>] usb_suspend+0x34/0xe0
: [<ffffffff8140db20>] ? usb_dev_freeze+0x20/0x20
: [<ffffffff8140db33>] usb_dev_suspend+0x13/0x20
: [<ffffffff813a8a09>] dpm_run_callback+0x59/0xa0
: [<ffffffff813a8b18>] __device_suspend+0xc8/0x2e0
: [<ffffffff813a92cf>] async_suspend+0x1f/0xa0
: [<ffffffff81081743>] async_run_entry_fn+0x83/0x160
: [<ffffffff810816c0>] ? async_schedule+0x20/0x20
: [<ffffffff810816c0>] ? async_schedule+0x20/0x20
: [<ffffffff810747ae>] process_one_work+0x11e/0x470
: [<ffffffff810755bf>] worker_thread+0x15f/0x360
: [<ffffffff81075460>] ? manage_workers+0x230/0x230
: [<ffffffff81079da3>] kthread+0x93/0xa0
: [<ffffffff815fd964>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff815fd960>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: 0da8199c-3a59-4374-b224-0012c3b18cba
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5065.13
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P8700  @ 2.53GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2534
:System Memory: 3891
:System Swap: 5951
:Vendor: Phoenix/SiS
:System: W760SUA Rev. A1
:Form factor: Other
:Kernel: 3.3.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6523:9091:5464:2057) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9089:5464:2057) pci, None, BASE, Standard SD Host Controller
:(6523:9090:5464:2057) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(4153:10:4153:4) pci, pcieport, PCI/PCI, PCI-to-PCI bridge
:(4153:2408:5464:2057) pci, None, PCI/ISA, SiS968 [MuTIOL Media IO]
:(4153:10:4153:4) pci, pcieport, PCI/PCI, PCI-to-PCI bridge
:(4153:28673:5464:2057) pci, ohci_hcd, USB, USB 1.1 Controller
:(4153:28673:5464:2057) pci, ohci_hcd, USB, USB 1.1 Controller
:(4153:28674:5464:2057) pci, ehci_hcd, USB, USB 2.0 Controller
:(4153:29954:5464:2057) pci, snd_hda_intel, MULTIMEDIA, Azalia Audio Controller
:(4153:401:5464:2057) pci, sis190, ETHERNET, 191 Gigabit Ethernet Adapter
:(4098:38227:5464:2057) pci, radeon, VIDEO, M92 [Mobility Radeon HD 4500/5100 Series]
:(4153:1649:5464:2057) pci, None, HOST/PCI, 671MX
:(4153:4483:5464:2057) pci, sata_sis, STORAGE, SATA Controller / IDE mode
:(4153:4:4153:4) pci, pcieport, PCI/PCI, PCI-to-PCI bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_laptop-lv_root / ext4 4096 4096 13092026 11130041 10999019 3276800 3031751 3031751
:/dev/sdb2 /boot ext4 1024 1024 508745 409719 384119 128016 127779 127779
:/dev/mapper/vg_laptop-lv_home /home ext4 4096 4096 63307897 15242825 12073750 15851520 15488880 15488880
:/dev/mapper/udisks-luks-uuid-447026be-7c73-4d18-aff1-e8d24e1023ba-uid1000 WITHHELD btrfs 4096 4096 244189488 191042383 181620619 0 0 0
:
Comment 1 Josh Boyer 2012-04-23 10:17:06 EDT
This isn't the first oops reported as it has the W taint set.  Do you see anything else in dmesg or /var/log/messages?
Comment 2 Manuel Schneckenreither 2012-04-23 10:34:04 EDT
unfortunately not, but if it happens again, I will post the output here.
Comment 3 Manuel Schneckenreither 2012-05-10 03:20:18 EDT
Hi guys,

well it took a while, but it happended again. What I did:
I the laptop play music and supsend it automatically after 1 hour, with the following commands in terminal view (at strg+alt f2):

sudo at now + 60 min
> pm-suspend

That worked for me, but when I turned on my computer this morning, it told me about 5 kernel warning!

WARNING: at net/mac80211/driver-ops.h:10 ieee80211_bss_info_change_notify+0x2d8/0x2e0 [mac80211]()
WARNING: at net/mac80211/driver-ops.h:10 ieee80211_do_stop+0x5d3/0x5f0 [mac80211]()
WARNING: at net/mac80211/driver-ops.h:10 ieee80211_bss_info_change_notify+0x2d8/0x2e0 [mac80211]()
WARNING: at net/mac80211/driver-ops.h:10 ieee80211_set_wmm_default+0x2cb/0x2d0 [mac80211]()
WARNING: at net/mac80211/driver-ops.h:10 __sta_info_destroy+0x522/0x530 [mac80211]()


The do stop is also in the list. This time I wrote /var/log/messages and dsmeg in files and attached them here. I hope that helps...Btw except for these warnings everything seems to run perfectly nice.
Comment 4 Manuel Schneckenreither 2012-05-10 03:21:11 EDT
Created attachment 583456 [details]
/var/log/messages
Comment 5 Manuel Schneckenreither 2012-05-10 03:21:41 EDT
Created attachment 583458 [details]
dmesg output
Comment 6 Dave Jones 2012-10-23 11:33:51 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 7 Justin M. Forbes 2012-11-14 10:22:49 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.